/*
    Ghardeno: Information Gardening for PalmOS
    Copyright (C) 2000 Laurent Moussault

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ghardeno_h
#define ghardeno_h

#include "MyTable.h"


#define bulletWidth 11


typedef struct {
  Word category; // The current category.
  Word positionInCategory; // Position of the top row in the current category.
  Word currentIndex; // Record index of the currently selected or edited row.
  Boolean isSelected; // Is 'current' (and 'currentRecord') selected ?
  Boolean isEditing; // Is 'current' (and 'currentRecord') being edited ?
  Boolean AutoShift;
  Boolean Click;
} PreferenceType;

int StartApplication (void);
Err OpenDatabase (void);
void EventLoop (void);
Boolean ApplicationHandleEvent (EventPtr);
void StopApplication (void);
void UpdateToolBar (MyTableType *d);
DWord  PilotMain (Word cmd, Ptr cmdPBP, Word launchFlags);
Boolean ghardenoHandleEvent (EventPtr ev);
Boolean toolBarHandleEvent(EventPtr ev);
void InitGhardenoForm ();


extern DmOpenRef GhardenoDB;

#endif /* ghardeno_h */
